# [Now UI Kit Pro Angular](https://creativetimofficial.github.io/now-ui-kit-pro-angular/components) [![version][version-badge]][CHANGELOG]

![alt text](https://s3.amazonaws.com/creativetim_bucket/products/74/original/opt_nukp_angular_thumbnail.jpg? "Now UI Kit Pro Angular")


**[Now UI Kit Pro Angular](https://creativetimofficial.github.io/now-ui-kit-pro-angular/components)** is a premium responsive Bootstrap 4 kit provided by Invision and Creative Tim. It is a beautiful cross-platform UI kit featuring over 1000+ elements and 11 templates.

Now UI Kit Pro Angular is one of the most popular UI Kits online, provided in PSD and Sketch formats by Invision. We wanted to find a way for developers worldwide to benefit from using it. So, in collaboration with Invision, we are launching the HTML version for it!

Now will help you create a clean and simple website that is a perfect fit for today's flat design. It is built using the 12 column grid system, with components designed to fit together perfectly. It makes use of bold colours, beautiful typography, clear photography and spacious arrangements.

Create awesome, lifelike prototypes with InVision and Now so your users can experience and give feedback on your vision!

To get the PSD and Sketch files, please visit Invision (https://www.invisionapp.com/now).


**Bootstrap 4 Support**
Now UI Kit Angular is built on top of the much awaited Bootstrap 4. This makes starting a new project very simple. It also provides benefits if you are already working on a Bootstrap 4 project; you can just import the Now UI Kit style over it. Most of the elements have been redesigned; but if you are using an element we have not touched, it will fall back to the Bootstrap default.

**Example Pages**
We wanted to fully display the power of this kit, so the kit comes packed with examples showing you how to use the components. Inside the product you will find:

## Links:

+ [Live Preview](https://creativetimofficial.github.io/now-ui-kit-pro-angular/components)
+ [Live Presentation Preview](https://creativetimofficial.github.io/now-ui-kit-pro-angular/presentation)
+ [About-us Page](https://creativetimofficial.github.io/now-ui-kit-pro-angular/examples/aboutus)
+ [Blog-post Page](https://creativetimofficial.github.io/now-ui-kit-pro-angular/examples/blogpost)
+ [Blog-posts Page](https://creativetimofficial.github.io/now-ui-kit-pro-angular/examples/blogposts)
+ [Contact-us Page](https://creativetimofficial.github.io/now-ui-kit-pro-angular/examples/contactus)
+ [Landing Page](https://creativetimofficial.github.io/now-ui-kit-pro-angular/examples/landing)
+ [Login Page](https://creativetimofficial.github.io/now-ui-kit-pro-angular/examples/login)
+ [Pricing Page](https://creativetimofficial.github.io/now-ui-kit-pro-angular/examples/pricing)
+ [Ecommerce Page](https://creativetimofficial.github.io/now-ui-kit-pro-angular/examples/ecommerce)
+ [Product Page](https://creativetimofficial.github.io/now-ui-kit-pro-angular/examples/productpage)
+ [Profile Page](https://creativetimofficial.github.io/now-ui-kit-pro-angular/examples/profile)
+ [Signup Page](https://creativetimofficial.github.io/now-ui-kit-pro-angular/examples/register)


## Terminal Commands

1. Install NodeJs from [NodeJs Official Page](https://nodejs.org/en).
2. Open Terminal
3. Go to your file project
4. Run in terminal: ```npm install -g @angular/cli```
5. Then: ```npm install```
6. And: ```npm start```
7. Navigate to [localhost:4200](localhost:4200)
### What's included

Within the download you'll find the following directories and files:

```
Now Ui Kit Pro Angular
├── README.md
├── documentation
│   ├── css
│   ├── js
│   └── tutorial-components.html
├── e2e
├── karma.conf.js
├── package-lock.json
├── package.json
├── protractor.conf.js
├── src
│   ├── app
│   │   ├── app.component.html
│   │   ├── app.component.scss
│   │   ├── app.component.spec.ts
│   │   ├── app.component.ts
│   │   ├── app.module.ts
│   │   ├── app.routing.ts
│   │   ├── components
│   │   │   ├── basicelements
│   │   │   │   ├── basicelements.component.html
│   │   │   │   ├── basicelements.component.scss
│   │   │   │   ├── basicelements.component.spec.ts
│   │   │   │   └── basicelements.component.ts
│   │   │   ├── cards-areas
│   │   │   │   ├── cards-areas.component.html
│   │   │   │   ├── cards-areas.component.scss
│   │   │   │   ├── cards-areas.component.spec.ts
│   │   │   │   └── cards-areas.component.ts
│   │   │   ├── comments-areas
│   │   │   │   ├── comments-areas.component.html
│   │   │   │   ├── comments-areas.component.scss
│   │   │   │   ├── comments-areas.component.spec.ts
│   │   │   │   └── comments-areas.component.ts
│   │   │   ├── components.component.html
│   │   │   ├── components.component.ts
│   │   │   ├── components.module.ts
│   │   │   ├── footers-areas
│   │   │   │   ├── footers-areas.component.html
│   │   │   │   ├── footers-areas.component.scss
│   │   │   │   ├── footers-areas.component.spec.ts
│   │   │   │   └── footers-areas.component.ts
│   │   │   ├── modal
│   │   │   │   ├── modal.component.html
│   │   │   │   ├── modal.component.scss
│   │   │   │   ├── modal.component.spec.ts
│   │   │   │   └── modal.component.ts
│   │   │   ├── navigation
│   │   │   │   ├── navigation.component.html
│   │   │   │   ├── navigation.component.scss
│   │   │   │   ├── navigation.component.spec.ts
│   │   │   │   └── navigation.component.ts
│   │   │   ├── notification
│   │   │   │   ├── notification.component.html
│   │   │   │   ├── notification.component.scss
│   │   │   │   ├── notification.component.spec.ts
│   │   │   │   └── notification.component.ts
│   │   │   ├── nucleoicons
│   │   │   │   ├── nucleoicons.component.html
│   │   │   │   ├── nucleoicons.component.scss
│   │   │   │   ├── nucleoicons.component.spec.ts
│   │   │   │   └── nucleoicons.component.ts
│   │   │   ├── prefooter-areas
│   │   │   │   ├── prefooter-areas.component.html
│   │   │   │   ├── prefooter-areas.component.scss
│   │   │   │   ├── prefooter-areas.component.spec.ts
│   │   │   │   └── prefooter-areas.component.ts
│   │   │   ├── tables-areas
│   │   │   │   ├── tables-areas.component.html
│   │   │   │   ├── tables-areas.component.scss
│   │   │   │   ├── tables-areas.component.spec.ts
│   │   │   │   └── tables-areas.component.ts
│   │   │   └── typography
│   │   │       ├── typography.component.html
│   │   │       ├── typography.component.scss
│   │   │       ├── typography.component.spec.ts
│   │   │       └── typography.component.ts
│   │   ├── examples
│   │   │   ├── aboutus
│   │   │   │   ├── aboutus.component.html
│   │   │   │   ├── aboutus.component.scss
│   │   │   │   ├── aboutus.component.spec.ts
│   │   │   │   └── aboutus.component.ts
│   │   │   ├── blogpost
│   │   │   │   ├── blogpost.component.html
│   │   │   │   ├── blogpost.component.scss
│   │   │   │   ├── blogpost.component.spec.ts
│   │   │   │   └── blogpost.component.ts
│   │   │   ├── blogposts
│   │   │   │   ├── blogposts.component.html
│   │   │   │   ├── blogposts.component.scss
│   │   │   │   ├── blogposts.component.spec.ts
│   │   │   │   └── blogposts.component.ts
│   │   │   ├── contactus
│   │   │   │   ├── contactus.component.html
│   │   │   │   ├── contactus.component.scss
│   │   │   │   ├── contactus.component.spec.ts
│   │   │   │   └── contactus.component.ts
│   │   │   ├── ecommerce
│   │   │   │   ├── ecommerce.component.html
│   │   │   │   ├── ecommerce.component.scss
│   │   │   │   ├── ecommerce.component.spec.ts
│   │   │   │   └── ecommerce.component.ts
│   │   │   ├── examples.component.html
│   │   │   ├── examples.component.scss
│   │   │   ├── examples.component.spec.ts
│   │   │   ├── examples.component.ts
│   │   │   ├── examples.module.ts
│   │   │   ├── landing
│   │   │   │   ├── landing.component.html
│   │   │   │   ├── landing.component.scss
│   │   │   │   ├── landing.component.spec.ts
│   │   │   │   └── landing.component.ts
│   │   │   ├── login
│   │   │   │   ├── login.component.html
│   │   │   │   ├── login.component.scss
│   │   │   │   ├── login.component.spec.ts
│   │   │   │   └── login.component.ts
│   │   │   ├── pricing
│   │   │   │   ├── pricing.component.html
│   │   │   │   ├── pricing.component.scss
│   │   │   │   ├── pricing.component.spec.ts
│   │   │   │   └── pricing.component.ts
│   │   │   ├── productpage
│   │   │   │   ├── productpage.component.html
│   │   │   │   ├── productpage.component.scss
│   │   │   │   ├── productpage.component.spec.ts
│   │   │   │   └── productpage.component.ts
│   │   │   ├── profile
│   │   │   │   ├── profile.component.html
│   │   │   │   ├── profile.component.scss
│   │   │   │   ├── profile.component.spec.ts
│   │   │   │   └── profile.component.ts
│   │   │   └── register
│   │   │       ├── register.component.html
│   │   │       ├── register.component.scss
│   │   │       ├── register.component.spec.ts
│   │   │       └── register.component.ts
│   │   ├── presentation
│   │   │   ├── presenatation.component.spec.ts
│   │   │   ├── presentation.component.html
│   │   │   ├── presentation.component.scss
│   │   │   ├── presentation.component.ts
│   │   │   └── presentation.module.ts
│   │   ├── sections
│   │   │   ├── blogs
│   │   │   │   ├── blogs.component.html
│   │   │   │   ├── blogs.component.scss
│   │   │   │   ├── blogs.component.spec.ts
│   │   │   │   └── blogs.component.ts
│   │   │   ├── contacts
│   │   │   │   ├── contacts.component.html
│   │   │   │   ├── contacts.component.scss
│   │   │   │   ├── contacts.component.spec.ts
│   │   │   │   └── contacts.component.ts
│   │   │   ├── features
│   │   │   │   ├── features.component.html
│   │   │   │   ├── features.component.scss
│   │   │   │   ├── features.component.spec.ts
│   │   │   │   └── features.component.ts
│   │   │   ├── headers
│   │   │   │   ├── headers.component.html
│   │   │   │   ├── headers.component.scss
│   │   │   │   ├── headers.component.spec.ts
│   │   │   │   └── headers.component.ts
│   │   │   ├── pricing
│   │   │   │   ├── pricing.component.html
│   │   │   │   ├── pricing.component.scss
│   │   │   │   ├── pricing.component.spec.ts
│   │   │   │   └── pricing.component.ts
│   │   │   ├── projects
│   │   │   │   ├── projects.component.html
│   │   │   │   ├── projects.component.scss
│   │   │   │   ├── projects.component.spec.ts
│   │   │   │   └── projects.component.ts
│   │   │   ├── sections.component.html
│   │   │   ├── sections.component.scss
│   │   │   ├── sections.component.spec.ts
│   │   │   ├── sections.component.ts
│   │   │   ├── sections.module.ts
│   │   │   ├── teams
│   │   │   │   ├── teams.component.html
│   │   │   │   ├── teams.component.scss
│   │   │   │   ├── teams.component.spec.ts
│   │   │   │   └── teams.component.ts
│   │   │   └── testimonials
│   │   │       ├── testimonials.component.html
│   │   │       ├── testimonials.component.scss
│   │   │       ├── testimonials.component.spec.ts
│   │   │       └── testimonials.component.ts
│   │   └── shared
│   │       ├── image-upload
│   │       │   ├── image-upload.component.html
│   │       │   ├── image-upload.component.scss
│   │       │   ├── image-upload.component.spec.ts
│   │       │   ├── image-upload.component.ts
│   │       │   └── image-upload.module.ts
│   │       └── navbar
│   │           ├── navbar.component.html
│   │           ├── navbar.component.scss
│   │           ├── navbar.component.spec.ts
│   │           └── navbar.component.ts
│   ├── assets
│   │   ├── css
│   │   │   └── demo.css
│   │   ├── fonts
│   │   ├── img
│   │   └── sass
│   │       ├── demo.scss
│   │       ├── now-ui-kit
│   │       └── now-ui-kit.scss
│   ├── environments
│   ├── favicon.ico
│   ├── index.html
│   ├── main.ts
│   ├── polyfills.ts
│   ├── styles.scss
│   ├── test.ts
│   ├── tsconfig.app.json
│   ├── tsconfig.spec.json
│   └── typings.d.ts
├── tsconfig.json
└── tslint.json
```

## Useful Links

More products from Creative Tim: <http://www.creative-tim.com/bootstrap-themes>

Tutorials: <https://www.youtube.com/channel/UCVyTG4sCw-rOvB9oHkzZD1w>

Freebies: <http://www.creative-tim.com/products>

Affiliate Program (earn money): <http://www.creative-tim.com/affiliates/new>

Social Media:

Twitter: <https://twitter.com/CreativeTim>

Facebook: <https://www.facebook.com/CreativeTim>

Dribbble: <https://dribbble.com/creativetim>

Google+: <https://plus.google.com/+CreativetimPage>

Instagram: <https://instagram.com/creativetimofficial>

[CHANGELOG]: ./CHANGELOG.md
[version-badge]: https://img.shields.io/badge/version-1.1.0-blue.svg
